require 'test_helper'

class CinnostiZamsControllerTest < ActionController::TestCase
  setup do
    @cinnosti_zam = cinnosti_zams(:one)
  end

  test "should get index" do
    get :index
    assert_response :success
    assert_not_nil assigns(:cinnosti_zams)
  end

  test "should get new" do
    get :new
    assert_response :success
  end

  test "should create cinnosti_zam" do
    assert_difference('CinnostiZam.count') do
      post :create, cinnosti_zam: @cinnosti_zam.attributes
    end

    assert_redirected_to cinnosti_zam_path(assigns(:cinnosti_zam))
  end

  test "should show cinnosti_zam" do
    get :show, id: @cinnosti_zam
    assert_response :success
  end

  test "should get edit" do
    get :edit, id: @cinnosti_zam
    assert_response :success
  end

  test "should update cinnosti_zam" do
    put :update, id: @cinnosti_zam, cinnosti_zam: @cinnosti_zam.attributes
    assert_redirected_to cinnosti_zam_path(assigns(:cinnosti_zam))
  end

  test "should destroy cinnosti_zam" do
    assert_difference('CinnostiZam.count', -1) do
      delete :destroy, id: @cinnosti_zam
    end

    assert_redirected_to cinnosti_zams_path
  end
end
